Skip to main content
GET
Comparison of consumptions between two periods.

Path Parameters

site-id
string
required

Site identifier

Query Parameters

fluid
enum<string>
required

Energy type.

Available options:
ELEC
strategy
enum<string>
required

Represents the strategy used for the comparison. Two options are available : SHORTEST_DAY_MONTH, SAME_DAYS. SHORTEST_DAY_MONTH is used to truncate the longest period with the length of the shortest one. SAME_DAYS is used to compared same days and months between to period.

Available options:
SHORTEST_PERIOD_LENGTH,
SAME_DAYS_MONTH
selectedPeriodBeginTs
string<date-time>
required

Represents selected period begin date (yyyy-MM-dd'T'HH:mm:ss'Z or yyyy-MM-dd'T'HH:mm:ss.SSS'Z)

selectedPeriodEndTs
string<date-time>
required

Represents selected period end date (yyyy-MM-dd'T'HH:mm:ss'Z or yyyy-MM-dd'T'HH:mm:ss.SSS'Z)

referencePeriodBeginTs
string<date-time>
required

Represents the reference period begin date (yyyy-MM-dd'T'HH:mm:ss'Z or yyyy-MM-dd'T'HH:mm:ss.SSS'Z)

referencePeriodEndTs
string<date-time>
required

Represents the reference period end date (yyyy-MM-dd'T'HH:mm:ss'Z or yyyy-MM-dd'T'HH:mm:ss.SSS'Z)

Response

OK

units
object

Units used in body response.

comparisons
object[]

List of compared periods.